// priority: 0

// Visit the wiki for more info - https://kubejs.com/

console.info('Hello, World! (Loaded server scripts)')

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('kubejs:tier_1', 1),
    [
      'ADA',
      'BCB',
      'ABA'
    ],
    {
      A: 'minecraft:gold_ingot',
      B: 'minecraft:shulker_shell',
      C: 'minecraft:copper_block',
      D: 'minecraft:dragon_breath'
    }
  ),

  event.shaped(
    Item.of('kubejs:tier_2', 1),
    [
      'ADA',
      'BCB',
      'ABA'
    ],
    {
      A: 'minecraft:emerald',
      B: 'minecraft:wither_skeleton_skull',
      C: 'minecraft:gold_block',
      D: 'kubejs:tier_1'
    }
  ),

  event.recipes.create.mechanical_crafting('kubejs:tier_3', [
    'ADA',
    'BCB',
    'ABA'
  ], {
    A: 'minecraft:diamond',
    B: 'minecraft:nether_star',
    C: 'minecraft:emerald_block',
    D: 'kubejs:tier_2'
  }),

  event.recipes.create.mechanical_crafting('kubejs:tier_4', [
    'ADA',
    'BCB',
    'ABA'
  ], {
    A: 'minecraft:netherite_ingot',
    B: 'minecraft:echo_shard',
    C: 'minecraft:diamond_block',
    D: 'kubejs:tier_3'
  }),


      event.shaped(
        Item.of('kubejs:blue_feather', 1),
        [
          'CBC',
          'BAB',
          'CBC'
        ],
        {
          A: 'kubejs:tier_1',
          B: 'minecraft:feather',
          C: 'minecraft:light_blue_dye'
        }
      ),
      
      event.shaped(
        Item.of('kubejs:yellow_feather', 1),
        [
          'CBC',
          'BAB',
          'CBC'
        ],
        {
          A: 'kubejs:tier_3',
          B: 'minecraft:feather',
          C: 'minecraft:yellow_dye'
        }
      ),

      event.shaped(
        Item.of('kubejs:red_feather', 1),
        [
          'CBC',
          'BAB',
          'CBC'
        ],
        {
          A: 'kubejs:tier_2',
          B: 'minecraft:feather',
          C: 'minecraft:red_dye'
        }
      ),

      event.shaped(
        Item.of('kubejs:purple_feather', 1),
        [
          'CBC',
          'BAB',
          'CBC'
        ],
        {
          A: 'kubejs:tier_1',
          B: 'minecraft:feather',
          C: 'minecraft:purple_dye'
        }
      ),

      event.shaped(
        Item.of('kubejs:orange_feather', 1),
        [
          'CBC',
          'BAB',
          'CBC'
        ],
        {
          A: 'kubejs:tier_2',
          B: 'minecraft:feather',
          C: 'minecraft:orange_dye'
        }
      ),

      event.shaped(
        Item.of('kubejs:black_feather', 1),
        [
          'CBC',
          'BAB',
          'CBC'
        ],
        {
          A: 'kubejs:tier_1',
          B: 'minecraft:feather',
          C: 'minecraft:black_dye'
        }
      ),

      event.shaped(
        Item.of('kubejs:cloned_dna', 1),
        [
          'DCD',
          'BAB',
          'DBD'
        ],
        {
          A: 'kubejs:tier_4',
          B: 'minecraft:fermented_spider_eye',
          C: 'minecraft:nether_star',
          D: 'minecraft:dragon_breath'
        }
      ),

  event.shaped(
    Item.of('kubejs:cat_treat', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_2',
      B: 'minecraft:tropical_fish',
      C: 'minecraft:popped_chorus_fruit'
    }
  ),

  event.shapeless(
    Item.of('kubejs:electric_treat', 1),
      [
        'kubejs:tier_1',
        'minecraft:bone',
        '3x cobblemon:thunder_stone'
      ],
  ),
  
  event.shapeless(
    Item.of('kubejs:fire_treat', 1),
      [
        'kubejs:tier_1',
        'minecraft:bone',
        '3x cobblemon:fire_stone'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:water_treat', 1),
      [
        'kubejs:tier_1',
        'minecraft:bone',
        '3x cobblemon:water_stone'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:clear_bell', 1),
      [
        'kubejs:tier_4',
        'minecraft:bell',
        'minecraft:netherite_ingot'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:tidal_bell', 1),
      [
        'kubejs:tier_3',
        'minecraft:bell',
        'minecraft:heart_of_the_sea'
      ],
  ),

  event.shaped(
    Item.of('kubejs:time_gear', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_2',
      B: 'minecraft:clock',
      C: 'minecraft:iron_ingot'
    }
  ),

  event.shapeless(
    Item.of('kubejs:rocky_ore', 1),
      [
        'kubejs:tier_1',
        '3x minecraft:amethyst_block',
        'minecraft:dripstone_block'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:icy_ore', 1),
      [
        'kubejs:tier_1',
        '3x minecraft:amethyst_block',
        'minecraft:blue_ice'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:metallic_ore', 1),
      [
        'kubejs:tier_1',
        '3x minecraft:amethyst_block',
        'minecraft:iron_block'
      ],
  ),

  event.shaped(
    Item.of('kubejs:red_soul_dew', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_2',
      B: 'minecraft:redstone_block',
      C: 'minecraft:soul_lantern'
    }
  ),

  event.shaped(
    Item.of('kubejs:blue_soul_dew', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:lapis_block',
      C: 'minecraft:soul_lantern'
    }
  ),

  event.shaped(
    Item.of('kubejs:red_orb', 1),
    [
      'CBC',
      'CAC',
      'CCC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'cobblemon:flame_orb',
      C: 'minecraft:blaze_rod'
    }
  ),

  event.shaped(
    Item.of('kubejs:blue_orb', 1),
    [
      'CBC',
      'CAC',
      'CCC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:heart_of_the_sea',
      C: 'minecraft:prismarine_crystals'
    }
  ),

  event.shaped(
    Item.of('kubejs:jade_orb', 1),
    [
      'CBC',
      'CAC',
      'CCC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:dragon_egg',
      C: 'minecraft:dragon_breath'
    }
  ),

  event.shapeless(
    Item.of('kubejs:fallen_star', 1),
      [
        'kubejs:tier_2',
        'minecraft:nether_star'
      ],
  ),

  event.shaped(
    Item.of('kubejs:meteorite', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'cobblemon:moon_stone',
      C: 'minecraft:end_stone'
    }
  ),

  event.shapeless(
    Item.of('kubejs:yellow_chain', 1),
      [
        'kubejs:tier_1',
        '3x minecraft:chain',
        'minecraft:yellow_dye'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:red_chain', 1),
      [
        'kubejs:tier_1',
        '3x minecraft:chain',
        'minecraft:red_dye'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:blue_chain', 1),
      [
        'kubejs:tier_2',
        '3x minecraft:chain',
        'minecraft:blue_dye'
      ],
  ),

  event.shaped(
    Item.of('kubejs:adamant_orb', 1),
    [
      'CBC',
      'DAD',
      'CBC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:clock',
      C: 'minecraft:dragon_breath',
      D: 'minecraft:repeater'
    }
  ),

  event.shaped(
    Item.of('kubejs:lustrous_orb', 1),
    [
      'CBC',
      'DAD',
      'CBC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'cobblemon:sun_stone',
      C: 'minecraft:dragon_breath',
      D: 'cobblemon:moon_stone'
    }
  ),


  event.shaped(
    Item.of('kubejs:magma_stone', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_2',
      B: 'minecraft:magma_block',
      C: 'minecraft:lava_bucket'
    }
  ),

  event.shapeless(
    Item.of('kubejs:colossal_ore', 1),
      [
        'kubejs:tier_1',
        '3x minecraft:amethyst_block',
        'minecraft:moss_block'
      ],
  ),

  event.shaped(
    Item.of('kubejs:griseous_orb', 1),
    [
      'CBC',
      'DAD',
      'CBC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:chorus_fruit',
      C: 'minecraft:dragon_breath',
      D: 'minecraft:crying_obsidian'
    }
  ),

  event.shapeless(
    Item.of('kubejs:lunar_wing', 1),
      [
        'kubejs:tier_2',
        '3x minecraft:feather',
        'cobblemon:moon_stone'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:manaphy_egg', 1),
      [
        'kubejs:tier_2',
        'minecraft:heart_of_the_sea',
        'minecraft:turtle_egg'
      ],
  ),

  event.shaped(
    Item.of('kubejs:pure_darkness', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:crying_obsidian',
      C: 'minecraft:coal_block'
    }
  ),

  event.shaped(
    Item.of('kubejs:gracidea', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_2',
      B: 'minecraft:spore_blossom',
      C: 'minecraft:cherry_sapling'
    }
  ),

  event.shaped(
    Item.of('kubejs:azure_flute', 1),
    [
      'BDB',
      'DAD',
      'BCB'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:nether_star',
      C: 'minecraft:dragon_egg',
      D: 'minecraft:totem_of_undying'
    }
  ),

  event.shapeless(
    Item.of('kubejs:victory_royale', 1),
      [
        'kubejs:tier_3',
        'minecraft:fire_charge',
        'minecraft:totem_of_undying'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:cyan_blade', 1),
      [
        'kubejs:tier_1',
        'minecraft:diamond_sword',
        'minecraft:cyan_dye'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:orange_blade', 1),
      [
        'kubejs:tier_2',
        'minecraft:diamond_sword',
        'minecraft:orange_dye'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:green_blade', 1),
      [
        'kubejs:tier_1',
        'minecraft:diamond_sword',
        'minecraft:lime_dye'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:blue_blade', 1),
      [
        'kubejs:tier_2',
        'minecraft:diamond_sword',
        'minecraft:blue_dye'
      ],
  ),

  event.shaped(
    Item.of('kubejs:windy_cloud', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_1',
      B: 'minecraft:snow_block',
      C: 'minecraft:feather'
    }
  ),

  event.shaped(
    Item.of('kubejs:storm_cloud', 1),
    [
      'CBD',
      'BAB',
      'DBC'
    ],
    {
      A: 'kubejs:tier_2',
      B: 'minecraft:snow_block',
      C: 'minecraft:lightning_rod',
      D: 'minecraft:water_bucket'
    }
  ),

  event.shaped(
    Item.of('kubejs:light_stone', 1),
    [
      'CBC',
      'CAC',
      'CCC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:dragon_egg',
      C: 'minecraft:quartz_block'
    }
  ),

  event.shaped(
    Item.of('kubejs:dark_stone', 1),
    [
      'CBC',
      'CAC',
      'CCC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:dragon_egg',
      C: 'minecraft:obsidian'
    }
  ),

  event.shaped(
    Item.of('kubejs:sandy_cloud', 1),
    [
      'CBD',
      'BAB',
      'DBC'
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:snow_block',
      C: 'minecraft:sand',
      D: 'minecraft:red_sand'
    }
  ),

  event.shaped(
    Item.of('kubejs:dna_splicers', 1),
    [
      'CBC',
      'CAC',
      'CCC'
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:dragon_egg',
      C: 'minecraft:blue_ice'
    }
  ),

  event.shaped(
    Item.of('kubejs:driftveil_disc', 1),
    [
      'BBB',
      'BAB',
      'BBB'
    ],
    {
      A: 'kubejs:tier_1',
      B: 'minecraft:disc_fragment_5'
    }
  ),

  event.shaped(
    Item.of('kubejs:blank_drive', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:comparator',
      C: 'minecraft:iron_block'
    }
  ),

  event.shaped(
    Item.of('kubejs:enhanced_bone_meal', 1),
    [
      'CBC',
      'CAC',
      'CCC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:nether_star',
      C: 'minecraft:bone_meal'
    }
  ),

  event.shaped(
    Item.of('kubejs:enhanced_gunpowder', 1),
    [
      'CBC',
      'CAC',
      'CCC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:nether_star',
      C: 'minecraft:gunpowder'
    }
  ),

  event.shaped(
    Item.of('kubejs:zygarde_core', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:egg',
      C: 'minecraft:ender_eye'
    }
  ),

  event.shaped(
    Item.of('kubejs:pink_crystal', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_2',
      B: 'minecraft:amethyst_shard',
      C: 'minecraft:pink_dye'
    }
  ),

  event.shaped(
    Item.of('kubejs:prison_bottle', 1),
    [
      'CBC',
      'CAC',
      'CCC'
    ],
    {
      A: 'kubejs:tier_2',
      B: 'minecraft:experience_bottle',
      C: 'minecraft:iron_bars'
    }
  ),

  event.shaped(
    Item.of('kubejs:steam_bucket', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_2',
      B: 'minecraft:water_bucket',
      C: 'minecraft:lava_bucket'
    }
  ),

  event.shaped(
    Item.of('kubejs:null', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_1',
      B: 'minecraft:black_concrete',
      C: 'minecraft:magenta_concrete'
    }
  ),

  event.shapeless(
    Item.of('kubejs:electric_seed', 1),
      [
        'kubejs:tier_3',
        'minecraft:torchflower_seeds',
        '3x cobblemon:wacan_berry'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:psychic_seed', 1),
      [
        'kubejs:tier_3',
        'cobblemon:vivichoke_seeds',
        '3x cobblemon:payapa_berry'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:grassy_seed', 1),
      [
        'kubejs:tier_2',
        'cobblemon:miracle_seed',
        '3x cobblemon:rindo_berry'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:misty_seed', 1),
      [
        'kubejs:tier_3',
        'minecraft:pitcher_pod',
        '3x cobblemon:passho_berry'
      ],
  ),

  event.shaped(
    Item.of('kubejs:n_solarizer', 1),
    [
      'CDC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:clock',
      C: 'cobblemon:sun_stone',
      D: 'minecraft:nether_star'
    }
  ),

  event.shaped(
    Item.of('kubejs:n_lunarizer', 1),
    [
      'CDC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:clock',
      C: 'cobblemon:moon_stone',
      D: 'minecraft:nether_star'
    }
  ),

  event.shaped(
    Item.of('kubejs:symbiont_orb', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_2',
      B: 'minecraft:ender_pearl',
      C: 'minecraft:glow_ink_sac'
    }
  ),

  event.shaped(
    Item.of('kubejs:absorption_orb', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_2',
      B: 'minecraft:ender_pearl',
      C: 'minecraft:golden_apple'
    }
  ),

  event.shaped(
    Item.of('kubejs:beauty_orb', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:ender_pearl',
      C: 'minecraft:lily_of_the_valley'
    }
  ),

  event.shaped(
    Item.of('kubejs:lighting_orb', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_2',
      B: 'minecraft:ender_pearl',
      C: 'minecraft:redstone_lamp'
    }
  ),
  
  event.shaped(
    Item.of('kubejs:blaster_orb', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:ender_pearl',
      C: 'minecraft:iron_block'
    }
  ),

  event.shaped(
    Item.of('kubejs:blade_orb', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:ender_pearl',
      C: 'minecraft:grass'
    }
  ),

  event.shaped(
    Item.of('kubejs:glutton_orb', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_1',
      B: 'minecraft:ender_pearl',
      C: 'minecraft:cookie'
    }
  ),

  event.shaped(
    Item.of('kubejs:dark_crystal', 1),
    [
      'CDC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:amethyst_shard',
      C: 'minecraft:crying_obsidian',
      D: 'minecraft:nether_star'
    }
  ),

  event.shaped(
    Item.of('kubejs:iron_gear', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:iron_block',
      C: 'minecraft:iron_ingot'
    }
  ),

  event.shaped(
    Item.of('kubejs:shadow_fists', 1),
    [
      'B B',
      'CAC',
      '   '
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:obsidian',
      C: 'minecraft:nether_star'
    }
  ),

  event.shaped(
    Item.of('kubejs:adhesive_orb', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:ender_pearl',
      C: 'minecraft:fermented_spider_eye'
    }
  ),

  event.shaped(
    Item.of('kubejs:assembly_orb', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_1',
      B: 'minecraft:ender_pearl',
      C: 'minecraft:bricks'
    }
  ),

  event.shaped(
    Item.of('kubejs:burst_orb', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_2',
      B: 'minecraft:ender_pearl',
      C: 'minecraft:fire_charge'
    }
  ),

  event.shaped(
    Item.of('kubejs:plasma_fists', 1),
    [
      'B B',
      'CAC',
      '   '
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:glowstone',
      C: 'minecraft:redstone_block'
    }
  ),

  event.shaped(
    Item.of('kubejs:iron_fists', 1),
    [
      'B B',
      'CAC',
      '   '
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:anvil',
      C: 'minecraft:iron_ingot'
    }
  ),

  event.shapeless(
    Item.of('kubejs:rusted_sword', 1),
      [
        'kubejs:tier_4',
        'minecraft:netherite_sword',
        'minecraft:nether_star'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:rusted_shield', 1),
      [
        'kubejs:tier_3',
        'cobblemon:ability_shield',
        'minecraft:nether_star'
      ],
  ),

  event.shaped(
    Item.of('kubejs:max_mushrooms', 1),
    [
      'CBC',
      'CAC',
      'CCC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:dragon_egg',
      C: 'minecraft:red_mushroom_block'
    }
  ),

  event.shapeless(
    Item.of('kubejs:scroll_of_darkness', 1),
      [
        'kubejs:tier_3',
        'minecraft:writable_book',
        'cobblemon:muscle_band',
        'cobblemon:dusk_stone'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:scroll_of_waters', 1),
      [
        'kubejs:tier_3',
        'minecraft:writable_book',
        'cobblemon:expert_belt',
        'cobblemon:water_stone'
      ],
  ),

  event.shaped(
    Item.of('kubejs:banana', 1),
    [
      '   ',
      'BAB',
      'CCC'
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:cocoa_beans',
      C: 'minecraft:golden_apple'
    }
  ),

  event.shapeless(
    Item.of('kubejs:magnetic_ore', 1),
      [
        'kubejs:tier_2',
        '3x minecraft:amethyst_block',
        'cobblemon:magnet'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:draconic_ore', 1),
      [
        'kubejs:tier_1',
        '3x minecraft:amethyst_block',
        'minecraft:dragon_breath'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:light_reins', 1),
      [
        'kubejs:tier_1',
        'minecraft:saddle',
        'minecraft:iron_horse_armor',
        'minecraft:quartz_block'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:dark_reins', 1),
      [
        'kubejs:tier_3',
        'minecraft:saddle',
        'minecraft:diamond_horse_armor',
        'minecraft:obsidian'
      ],
  ),

  event.shaped(
    Item.of('kubejs:big_brain', 1),
    [
      'BBB',
      'BAB',
      'BBB'
    ],
    {
      A: 'kubejs:tier_1',
      B: 'minecraft:rotten_flesh'
    }
  ),

  event.shapeless(
    Item.of('kubejs:dark_peat_block', 1),
      [
        'kubejs:tier_3',
        'cobblemon:peat_block',
        'cobblemon:moon_stone',
        'minecraft:rotten_flesh'
      ],
  ),

  event.shaped(
    Item.of('kubejs:pink_cloud', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:snow_block',
      C: 'minecraft:pink_dye'
    }
  ),

  event.shapeless(
    Item.of('kubejs:fossilized_tusk', 1),
      [
        'kubejs:tier_3',
        '3x minecraft:mud',
        'minecraft:diamond_pickaxe'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:fossilized_balloon', 1),
      [
        'kubejs:tier_1',
        '3x minecraft:mud',
        'cobblemon:air_balloon'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:fossilized_mushroom', 1),
      [
        'kubejs:tier_1',
        '3x minecraft:mud',
        'minecraft:red_mushroom_block'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:fossilized_ghost', 1),
      [
        'kubejs:tier_4',
        '3x minecraft:mud',
        'minecraft:ghast_tear'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:fossilized_moth', 1),
      [
        'kubejs:tier_2',
        '3x minecraft:mud',
        'minecraft:lantern'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:fossilized_magnet', 1),
      [
        'kubejs:tier_2',
        '3x minecraft:mud',
        'cobblemon:magnet'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:mechanical_trunk', 1),
      [
        'kubejs:tier_2',
        '3x minecraft:iron_ingot',
        'minecraft:iron_helmet'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:mechanical_penguin', 1),
      [
        'kubejs:tier_3',
        '3x minecraft:iron_ingot',
        'minecraft:shulker_box'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:mechanical_hand', 1),
      [
        'kubejs:tier_2',
        '3x minecraft:iron_ingot',
        'minecraft:piston'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:mechanical_hydra', 1),
      [
        'kubejs:tier_1',
        '3x minecraft:iron_ingot',
        'minecraft:fire_charge'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:mechanical_moth', 1),
      [
        'kubejs:tier_3',
        '3x minecraft:iron_ingot',
        'minecraft:lantern'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:mechanical_titan', 1),
      [
        'kubejs:tier_1',
        '3x minecraft:iron_ingot',
        'minecraft:cactus'
      ],
  ),

  event.shaped(
    Item.of('kubejs:tablet_of_ruin', 1),
    [
      'DBD',
      'CAC',
      'CCC'
    ],
    {
      A: 'kubejs:tier_1',
      B: 'minecraft:nautilus_shell',
      C: 'minecraft:moss_block',
      D: 'minecraft:light_weighted_pressure_plate'
    }
  ),

  event.shaped(
    Item.of('kubejs:sword_of_ruin', 1),
    [
      'DBD',
      'CAC',
      'CCC'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:diamond_sword',
      C: 'minecraft:moss_block',
      D: 'minecraft:powder_snow_bucket'
    }
  ),

  event.shaped(
    Item.of('kubejs:vessel_of_ruin', 1),
    [
      'DBD',
      'CAC',
      'CCC'
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:decorated_pot',
      C: 'minecraft:moss_block',
      D: 'minecraft:mossy_stone_bricks'
    }
  ),

  event.shaped(
    Item.of('kubejs:beads_of_ruin', 1),
    [
      'DBD',
      'CAC',
      'CCC'
    ],
    {
      A: 'kubejs:tier_3',
      B: 'minecraft:fire_charge',
      C: 'minecraft:moss_block',
      D: 'minecraft:lava_bucket'
    }
  ),

  event.shapeless(
    Item.of('kubejs:fossilized_dragon', 1),
      [
        'kubejs:tier_3',
        '3x minecraft:mud',
        'minecraft:dragon_breath'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:mechanical_blade', 1),
      [
        'kubejs:tier_3',
        '3x minecraft:iron_ingot',
        'minecraft:diamond_sword'
      ],
  ),

  event.shaped(
    Item.of('kubejs:scarlet_wheel', 1),
    [
      'DBD',
      'CAC',
      'DCD'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:saddle',
      C: 'minecraft:echo_shard',
      D: 'minecraft:red_dye'
    }
  ),

  event.shaped(
    Item.of('kubejs:violet_wheel', 1),
    [
      'DBD',
      'CAC',
      'DCD'
    ],
    {
      A: 'kubejs:tier_4',
      B: 'minecraft:saddle',
      C: 'minecraft:echo_shard',
      D: 'minecraft:blue_dye'
    }
  ),

  event.shapeless(
    Item.of('kubejs:fossilized_dinosaur', 1),
      [
        'kubejs:tier_3',
        '3x minecraft:mud',
        'kubejs:water_treat'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:mechanical_leaf', 1),
      [
        'kubejs:tier_1',
        '3x minecraft:iron_ingot',
        'kubejs:green_blade'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:fighting_chain', 1),
      [
        'kubejs:tier_1',
        '3x minecraft:chain',
        'cobblemon:black_belt'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:psychic_chain', 1),
      [
        'kubejs:tier_1',
        '3x minecraft:chain',
        'cobblemon:twisted_spoon'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:fairy_chain', 1),
      [
        'kubejs:tier_1',
        '3x minecraft:chain',
        'cobblemon:fairy_feather'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:teal_mask', 1),
      [
        'kubejs:tier_3',
        'minecraft:carved_pumpkin',
        'minecraft:golden_helmet',
        'cobblemon:roasted_leek',
      ],
  ),

  event.shapeless(
    Item.of('kubejs:fossilized_crest', 1),
      [
        'kubejs:tier_3',
        '3x minecraft:mud',
        'kubejs:fire_treat'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:fossilized_neck', 1),
      [
        'kubejs:tier_3',
        '3x minecraft:mud',
        'kubejs:electric_treat'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:mechanical_boulder', 1),
      [
        'kubejs:tier_2',
        '3x minecraft:iron_ingot',
        'kubejs:orange_blade'
      ],
  ),

  event.shapeless(
    Item.of('kubejs:mechanical_crown', 1),
      [
        'kubejs:tier_2',
        '3x minecraft:iron_ingot',
        'kubejs:cyan_blade'
      ],
  ),

  event.shaped(
    Item.of('kubejs:tera_crystal', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_1',
      B: 'minecraft:amethyst_shard',
      C: 'minecraft:prismarine_crystals'
    }
  ),

  event.shaped(
    Item.of('kubejs:mythical_pecha', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'kubejs:tier_2',
      B: 'cobblemon:pecha_berry',
      C: 'minecraft:poisonous_potato'
    }
  )

    console.log('Hello! The recipe event has fired!')
  })